#! /bin/sh

# Revision History:
# 
# CR           date         coreid  description
# ---------------------------------------------------------------------------
# LIBll22439   01-Jan-2006  w5770c  add Java variables redefinition
# LIBll14192   22-Jan-2007  csw000  Add LOCPATH for locale stuff
# LIBkk81142   14-Dec-2006  e13456  add LJ_VISIBLE_DATA LJ_PRIVATE_DATA
# LIBll07920   16-Jan-2007  w5770c  New data resource and setup variable
# LIBkk44190   03-Nov-2006  w5770c  Add backup font path in root image
# LIBkk43029   01-Nov-2006  csw000  java updates
# LIBkk30402   19-Oct-2006  e13456  Move data to mass storage
# LIBjj71117   28-Aug-2006 jharvey3 Add export of LD_HWCAP_MASK
# LIBjj10638   18-Jul-2006  csw000  update search path order for faster load
# LIBii76566   23-May-2006  csw000  update LD_LIBRARY_PATH for libsahara
# LIBii73311   23-May-2006  csw000  add EZX_RES_SOUNDS_SLIDERTONE_PATH
# LIBii72021   18-May-2006  csw000  change EZX_RES_FONT_PATH
# LIbii33259   12-May-2006  csw000  add TPA_HOME export
# LIBii64904   12-May-2006  csw000  initial version for runtime_env component 


#set up environment
export USER_LIBRARY_PATH=/ezxlocal/download/mystuff/.system/lib

export MYUSER_LIBRARY_PATH=/usr/data_resource/preloadapps/qtapps/lib

export MMC_LIBRARY_PATH=/mmc/mmca1/.system/lib

export MMCB2_LIBRARY_PATH=/mmc/mmcb1/.system/lib

#ZN5Encoder
export MYAPP_ENCODER=/mmc/mmca1/mgxbox/ZN5Encoder/lib


export QTDIR=/usr/lib/ezx

export LD_LIBRARY_PATH=$QTDIR/lib:$MMCB2_LIBRARY_PATH:$MYAPP_ENCODER:$USER_LIBRARY_PATH:$MMC_LIBRARY_PATH:$MYUSER_LIBRARY_PATH:/usr/lib:/lib:/usr/language/vui/english/lib:/usr/language/vui/mandarin/lib:/usr/language/vui/common/lib:/usr/local/lib:/lib/gstreamer

export GST_PLUGIN_PATH=/lib/gst-plugins
export LD_HWCAP_MASK=

export EZX_PLUGINS_DIR=/hatcreek/plugins

# font path
if test -f /usr/language/fonts/fontdef.cfg;
then
    export EZX_RES_FONT_PATH=/usr/language/fonts
else
    export EZX_RES_FONT_PATH=$QTDIR/lib/fonts
fi


# slidertone path
export EZX_RES_SOUNDS_SLIDERTONE_PATH=/usr/data_resource/sound/slider_tones

# icon path
export EZX_RES_ICON_PATH=/usr/data_resource/icon

# string path
export EZX_RES_STRING_PATH=/usr/language/string

export EZX_NATIVE_APP_PATH=/usr/SYSqtapp
export EZX_PRELOAD_APP_PATH=/usr/data_resource/preloadapps
export AM_SYS_STATE_SHM_PATH=/usr/SYSqtapp/am
export LIB_APP=/usr/data_resource/preloadapps/qtapps/lib/ezxapp.so
# per LIBll14192, set LOCPATH
export LOCPATH=/usr/language/string
export PREF_LANGUAGE_PATH=${LOCPATH}
export EZX_LANG=/usr/language/
export EZX_RES_PATH=/usr/data_resource
export EZX_SETUP_PATH=/usr/setup

export EZX_LOCAL_PATH=/ezxlocal/
export EZX_LOCAL_DOWNLOAD_PATH=${EZX_LOCAL_PATH}download/
export EZX_LOCAL_APP_WRITE_PATH=/ezxlocal/download/appwrite
export EZX_APP_WRITE_PATH=/ezxlocal/download/appwrite

export LJ_DATA_VISIBLE=/ezxlocal/download/mystuff/.system
export LJ_DATA_PRIVATE=/ezxlocal/download/appwrite
export LJ_CONFIG=/ezxlocal/download/appwrite

export TPA_HOME=${EZX_LOCAL_PATH}

#sound path
export EZX_RES_SOUNDS_PATH=/usr/data_resource/sound
export EZX_RES_SOUNDS_UISOUNDS_PATH=/usr/data_resource/sound/ui_sounds
export EZX_RES_SOUNDS_RINGTONES_PATH=/usr/data_resource/sound/ringtones

#theme
export EZX_INSTALLED_THEME_PATH=/mmc/mmcb1

#dm
export dm_setting_root=${EZX_APP_WRITE_PATH}/setup
export dm_setting_plugin=/usr/lib/ezx/lib/dm_plugin

export EZX_EXTRA_SYS_DATA_PATH='/ezxlocal/.system/'

#java
export J2ME_SECURITY_DIR='/ezxlocal/download/java'
export JAVA_HOME_CARD1='/mmc/mmca1/.system/java'
export JAVA_HOME_CARD2='/mmc/mmcb1/.system/java'

export J2ME_SYSDATA_DIR=${LJ_DATA_VISIBLE}/java
export JAVA_HOME_FLASH=${LJ_DATA_VISIBLE}/java

export MIDP_SYSDIR='/ezx_user/download/appwrite/java'
export J2ME_POLICY_DIR='/usr/securesetup'
 
export MYSTUFF_DATA_PATH='/ezxlocal/download/mystuff/' 

#mpkg
export TMPMPKG=/mmc/mmca1/.system/tmpmpkg
export ELYSSEUMMPKG=/mmc/mmca1/.system/QTDownLoad

#arm
export TOOLCHAIN=/arm-eabi
export MOTOMAGX=$TOOLCHAIN/lib/motomagx
export TMAKEPATH=/etc/tmake/pwd/arm-linux-g++/

# Certification Manager
export DOMAIN_POLICY_DIR=/usr/securesetup 

#browser
export BROWSER_FS_ROOT=/ezxlocal/download/browser

export FLASH_MOUNT_PATH=/ezxlocal
export EZX_INSTALLED_QT_PATH=/ezxlocal
export MYSTUFF_DATA_PATH=/ezxlocal/download/mystuff/


